/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/
 
/**
	Skickar en MP3-strm, enligt aktuell spellista,
	till servern som snder

	Toni Thomsson, toni@tonjac.org
*/

#ifndef mp3_streamer_h
#define mp3_streamer_h

#include <zz_win_thread.h>
#include "mp3_playlist_handler.h"
#include <zz_log.h>
#include <zz_win_threadmutex.h>

class Cmp3Streamer : public CzzWinThread
{
public:

	//* Construction
	Cmp3Streamer( Cmp3PlayListHandler* ph, const CzzString& usr );
	virtual ~Cmp3Streamer();

	virtual void OnStart( void );

protected:
private:
	Cmp3PlayListHandler* m_PlayListHandler;
	CzzLog m_Log;
	CzzString m_User;

	static CzzWinThreadMutex m_Mutex;
};

#endif // mp3_streamer_h