/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

/**
	Container for album and it's filecreation time

	Toni Thomsson, toni@tonjac.org
*/

#ifndef mp3_list_item_h
#define mp3_list_item_h

#include <zz_string.h>

class Cmp3ListItem
{
public:

	//* Construction
	Cmp3ListItem( long time, CzzString name );
	Cmp3ListItem( long time, CzzString name, CzzString album );
	Cmp3ListItem( void );
	Cmp3ListItem( const Cmp3ListItem& copy );
	~Cmp3ListItem();

	CzzString getName(void) const;
	CzzString getAlbum(void) const;
	long getTime(void) const;

	bool operator()( Cmp3ListItem* a, Cmp3ListItem* b );

protected:
private:
	
	long m_Time;
	CzzString m_Name;
	CzzString m_Album;
};

#endif // mp3_list_item_h