/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

#ifndef mp3_m3u_playlist_h
#define mp3_m3u_playlist_h

#include <zz_string.h>
#include "mp3_track.h"

#include <map>

class Cmp3M3UPlayList
{
public:

    // Construction
    Cmp3M3UPlayList( const CzzString& name );
    Cmp3M3UPlayList( const CzzString& name, const CzzString& album );
    Cmp3M3UPlayList( const CzzString& name, const CzzString& album, const CzzString& song );
    virtual ~Cmp3M3UPlayList();

    CzzString toString( void );

    static CzzString urlEncode( const CzzString& url );

protected:
private:
    
    void listSongsForAlbum( bool orderd, const CzzString& name, const CzzString& album, const CzzString& path );
    
    map<int, Cmp3Track* > m_List;
};

#endif // mp3_m3u_playlist_h