/* libzz
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2000-2006, Toni Thomsson <toni@tonjac.org> 
*/

#ifndef zz_uuid_h
#define zz_uuid_h

#include <zz_string.h>
#include <zz_export.h>

/**
	Globally unique identifier

	@author Toni Thomsson, toni@tonjac.org
*/
class ZZ_API  CzzUUID
{
public:

    /** Create a globally unique identifier */
	CzzUUID();
	virtual ~CzzUUID();

    /** Convert id to a string */
	CzzString toString( void );

protected:
private:
	unsigned char* m_Str;
	CzzString m_Id;
};

#endif // zz_uuid_h