/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

/**
	Playlist content data service

	Toni Thomsson, toni@tonjac.org
*/

#ifndef mp3_playlist_content_data_h
#define mp3_playlist_content_data_h

#include <zz_data_service.h>

class Cmp3PlaylistContentData : public CzzDataService
{
public:

	//* Construction
	Cmp3PlaylistContentData( const CzzString& name );
	virtual ~Cmp3PlaylistContentData();

	CzzDataServiceReply* execute( void* session, CzzParameterMap* req );

    virtual int size();

protected:
private:
	CzzString m_Name;

};

#endif // mp3_playlist_content_data_h