/* zz
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

/**
	Dyndns HTTP requests

	Toni Thomsson, toni@tonjac.org
*/

#ifndef mp3_dyndns_h
#define mp3_dyndns_h

#include <zz_http.h>
#include <zz_log.h>

class Cmp3Dyndns : public CzzHTTP
{
public:

	//* Construction
	Cmp3Dyndns( const char* host );
	virtual ~Cmp3Dyndns();


	CzzString getPublicIP( void );
	void registerUse( const CzzString& ip, const CzzString& port );

protected:
	virtual void writeToFile( long from, long size );

private:

	CzzLog m_Log;
	CzzString m_Buffer;
};

#endif // mp3_dyndns_h