/* libzzinet
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/
 
/**
	Session cookie

	Toni Thomsson, toni@tonjac.org
*/

#ifndef zz_session_cookie_h
#define zz_session_cookie_h

#include <zz_string.h>
#include <zz_log.h>

class ZZ_API CzzSessionCookie
{
public:

    //* Construction
    CzzSessionCookie( const char* name, const char* path );
    CzzSessionCookie( const char* value );
    virtual ~CzzSessionCookie();

    CzzString getSetHeader( void );
    CzzString getId( void );

protected:
private:

    CzzString m_Name;
    CzzString m_Path;
    CzzString m_Session;
    CzzLog m_Log;
    unsigned char* m_Str;
};

#endif // zz_session_cookie_h