/* libzz
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2000-2006, Toni Thomsson <toni@tonjac.org> 
*/

#ifndef zz_threadmutex_h
#define zz_threadmutex_h 1

#include <zz_mutex.h>
#include <zz_export.h>

/**
	Thread mutex 

	@author Toni Thomsson, toni@tonjac.org	
*/
class ZZ_API CzzThreadMutex : public CzzMutex
{

public:
	
	/** Mutex */
    CzzThreadMutex();

    /** Copy constructor */
	CzzThreadMutex( const CzzThreadMutex &right	);

    virtual ~CzzThreadMutex();
};

#endif


